package Andersen.Jacob;

public class Simulation {

    int numberOfDies;
    int numberOfTosses;
    Dice dice;
    public Bins bin;

    public Simulation(int numberOfDies, int numberOfTosses) {
        this.numberOfDies = numberOfDies;
        this.numberOfTosses = numberOfTosses;
        this.dice = new Dice(numberOfDies);
        this.bin = new Bins(numberOfDies, numberOfDies * 6);

    }

    public void runSimulation() {

        for (int i = 1; i < numberOfTosses; i++) {
            bin.trackToss(dice.tossAndSum());
        }

    }

    public String countStars(double percent){
        String result="";
        int d=(int)(percent*100);
        for (int i=0;i<d;i++){
            result+="*";
        }
        return result;

    }

    public void returnResults() {

        int d=0;
        double freqPerc=0;
        double freqPerc2=bin.bins.get(2)/10000000;
        for(int i=2;i<13;i++){
            d=bin.bins.get(i);

            freqPerc=((double)d/numberOfTosses);

            String str=String.format("%3d : %8d: %-2.2f %-5s",i,d, freqPerc, countStars(freqPerc));
            System.out.println(str);

        }
    }
}




